<?php
$dir = $_SERVER['DOCUMENT_ROOT'] . '/uploads/files/';

// ファイル削除処理
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['delete'])) {
    $fileToDelete = $dir . $_POST['delete'];
    if (file_exists($fileToDelete)) {
        unlink($fileToDelete); // ファイルを削除
        echo "<p style='color:green;'>ファイル「" . htmlspecialchars($_POST['delete'], ENT_QUOTES, 'UTF-8') . "」が削除されました。</p>";
    } else {
        echo "<p style='color:red;'>ファイルが見つかりません。</p>";
    }
}

// ファイル一覧の表示
if (is_dir($dir)) {
    $files = array_diff(scandir($dir), array('.', '..'));

    echo "<h1>アップロードされたファイル一覧</h1>";
    echo "<ul>";
    foreach ($files as $file) {
        // ファイル名をURLエンコードしてリンクを生成
        $encodedFile = rawurlencode($file);
        echo "<li>";
        echo "<a href='/uploads/files/" . $encodedFile . "'>" . htmlspecialchars($file, ENT_QUOTES, 'UTF-8') . "</a>";
        echo " <form method='POST' style='display:inline;'>";
        echo " <input type='hidden' name='delete' value='" . htmlspecialchars($file, ENT_QUOTES, 'UTF-8') . "'>";
        echo " <button type='submit' style='color: red; background: none; border: none; cursor: pointer;'>[削除]</button>";
        echo " </form>";
        echo "</li>";
    }
    echo "</ul>";
} else {
    echo "<h1>アップロードされたファイル一覧</h1>";
    echo "<p>現在、アップロードされたファイルはありません。</p>";
}
?>